Subject: Re:TC Book Reviews--Progress (and lack of progress) report

From: [email-masked] (Leonard Greenspoon)
Date: Mon, 17 Feb 1997 18:17:17 -0600

Allow me to use this list once again to thank those individuals who have
reviewed books for the first, and now for the second issue of our JOURNAL.

There are still a few books in the hands of reviewers.  Since a major
premise (and promise) of electronic publishing is that we can provide
substantive reviews very quickly, it is essential that we do just that.  I
promise to continue to keep the editing process as brief as possible, so
that there is very little time between my receiving a review and its being
publishsed.  Please take the time to complete your review or, if necessary,
to let me know that you won't be able to.

We no longer have (m)any books left to be assigned to reviewers.  So, if
you hear of a suitable book, please let us know....All of you, I hope, feel
that you have a stake in our JOURNAL's success....thanks so much, leonard